Package org.drinkless.tdlib

# Class TdApi.StoryVideo

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.StoryVideo

Enclosing class:
  `TdApi`

public static class TdApi.StoryVideo extends TdApi.Object
Describes a video file posted as a story.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `double`
  `coverFrameTimestamp`
  Timestamp of the frame used as video thumbnail.
  `double`
  `duration`
  Duration of the video, in seconds.
  `boolean`
  `hasStickers`
  True, if stickers were added to the video.
  `int`
  `height`
  Video height.
  `boolean`
  `isAnimation`
  True, if the video has no sound.
  `TdApi.Minithumbnail`
  `minithumbnail`
  Video minithumbnail; may be null.
  `int`
  `preloadPrefixSize`
  Size of file prefix, which is expected to be preloaded, in bytes.
  `TdApi.Thumbnail`
  `thumbnail`
  Video thumbnail in JPEG or MPEG4 format; may be null.
  `TdApi.File`
  `video`
  File containing the video.
  `int`
  `width`
  Video width.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StoryVideo()`
  Describes a video file posted as a story.
  `StoryVideo(double duration, int width, int height, boolean hasStickers, boolean isAnimation, TdApi.Minithumbnail minithumbnail, TdApi.Thumbnail thumbnail, int preloadPrefixSize, double coverFrameTimestamp, TdApi.File video)`
  Describes a video file posted as a story.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### duration

    public double duration
    Duration of the video, in seconds.

  - ### width

    public int width
    Video width.

  - ### height

    public int height
    Video height.

  - ### hasStickers

    public boolean hasStickers
    True, if stickers were added to the video. The list of corresponding sticker sets can be received using getAttachedStickerSets.

  - ### isAnimation

    public boolean isAnimation
    True, if the video has no sound.

  - ### minithumbnail

    @Nullable public TdApi.Minithumbnail minithumbnail
    Video minithumbnail; may be null.

  - ### thumbnail

    @Nullable public TdApi.Thumbnail thumbnail
    Video thumbnail in JPEG or MPEG4 format; may be null.

  - ### preloadPrefixSize

    public int preloadPrefixSize
    Size of file prefix, which is expected to be preloaded, in bytes.

  - ### coverFrameTimestamp

    public double coverFrameTimestamp
    Timestamp of the frame used as video thumbnail.

  - ### video

    public TdApi.File video
    File containing the video.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### StoryVideo

    public StoryVideo()
    Describes a video file posted as a story.

  - ### StoryVideo

    public StoryVideo(double duration, int width, int height, boolean hasStickers, boolean isAnimation, TdApi.Minithumbnail minithumbnail, TdApi.Thumbnail thumbnail, int preloadPrefixSize, double coverFrameTimestamp, TdApi.File video)
    Describes a video file posted as a story.
    Parameters:
      `duration` - Duration of the video, in seconds.
      `width` - Video width.
      `height` - Video height.
      `hasStickers` - True, if stickers were added to the video. The list of corresponding sticker sets can be received using getAttachedStickerSets.
      `isAnimation` - True, if the video has no sound.
      `minithumbnail` - Video minithumbnail; may be null.
      `thumbnail` - Video thumbnail in JPEG or MPEG4 format; may be null.
      `preloadPrefixSize` - Size of file prefix, which is expected to be preloaded, in bytes.
      `coverFrameTimestamp` - Timestamp of the frame used as video thumbnail.
      `video` - File containing the video.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR